# regfiledump

## Name

regfiledump — Dump the contents of a Regina data file

## Synopsis

regfiledump [[`-f`] | [`-l`] | [`-n`]] [`-c`] {`file`} [`packet-label`...]

## Description

This utility dumps the contents of the given Regina data file to standard output in a human-readable format.

If a list of packet labels is given on the command-line, only those packets will be output. Otherwise all packets in the given file will be output.

## Options

`-f` (default)

  Output full packet details. The output for each packet will cover several lines, beginning with basic details (such as the packet label and type) followed by the packet's long description.

`-l`

  Output a list of packet labels and types only, one packet per line.

`-n`

  Don't output any packets at all; this option forces a packet count (see option `-c`).

`-c`

  Finish the output with a total count of all packets in the file.

## Internationalisation

If any packets contain international characters, Regina will attempt to convert these to your local character encoding as it writes them to the output.

You can tell Regina what character encoding to use by setting standard locale-related environment variables, such as `LANG`, `LC_CTYPE` or `LC_ALL`.

For example, if `LANG` is set to `en_AU` then output will be written in the Western European character set `ISO-8859-1`, and if `LANG` is set to `en_AU.UTF-8` then output will be written in the universal character set `UTF-8`.

Typically these environment variables will already be set for you when you install your GNU/Linux system, and Regina will just use the right character set out of the box. See your GNU/Linux system reference for further information on supporting different locales.

## MacOS X Users

If you downloaded a drag-and-drop app bundle, this utility is shipped inside it. If you dragged Regina to the main Applications folder, you can run it as `/Applications/Regina.app/Contents/MacOS/regfiledump`.

## Windows Users

The command-line utilities are installed beneath the `Program Files` directory; on some machines this directory is called `Program Files (x86)`. You can start this utility by running `c:\Program Files\Regina\Regina 4.95\bin\regfiledump.exe`.

## See Also

regina-gui.

## Author

This utility was written by Benjamin Burton `<bab@debian.org>`. Many people have been involved in the development of Regina; see the acknowledgements page for a full list of credits.